{% macro show_tweets(users) %}
  <div class="card">
    <button class="card-header btn btn-link text-left" data-toggle="collapse" href="#users" role="button" aria-expanded="false"
      aria-controls="users">
      <i class="fab fa-twitter mr-2"></i> Disponibilidad en Twitter
    </button>
    <section id="users" class="collapse show" aria-labelledby="headingTwo">
      <div class="mt-3"></div>
      {% for u in users %}
        {{ tweet(u) }}
      {% endfor %}
    </section>
  </div>
{% endmacro %}

{% macro tweet(user) %}
  <div class="card ml-5 mr-5 mb-3">
    <div class="card-body">
      <section class="">
        <a target="_blank" rel="noopener noreferrer" href="https://twitter.com/{{ user.username }}">@{{ user.username }}</a>
        {% if user.raw_tweet %}
        <section class="text-justify pr-3">{{ user.raw_tweet }}</section>
        {% endif %}
      </section>
      <a target="_blank" rel="noopener noreferrer" class="btn btn-link float-right" href="{{ user.tweet_url }}" role="button">
        <i class="fa fa-paper-plane mr-2"></i>Responder
      </a>
    </div>
  </div>
{% endmacro %}
